## eog-util

eog-util

## Synopsis

    void                eog_util_show_help                  (const gchar *section,
                                                             GtkWindow *parent);
    gchar *             eog_util_make_valid_utf8            (const gchar *name);
    GSList *            eog_util_parse_uri_string_list_to_file_list
                                                            (const gchar *uri_list);
    GSList *            eog_util_string_list_to_file_list   (GSList *string_list);
    GSList *            eog_util_strings_to_file_list       (gchar **strings);
    GSList *            eog_util_string_array_to_list       (const gchar **files,
                                                             gboolean create_uri);
    gchar **            eog_util_string_array_make_absolute (gchar **files);
    gboolean            eog_util_launch_desktop_file        (const gchar *filename,
                                                             guint32 user_time);
    const    gchar *    eog_util_dot_dir                    (void);
    gboolean            eog_util_file_is_persistent         (GFile *file);

## Description

## Details

### eog_util_show_help ()

    void                eog_util_show_help                  (const gchar *section,
                                                             GtkWindow *parent);

`section` : |
`parent` : |

### eog_util_make_valid_utf8 ()

    gchar *             eog_util_make_valid_utf8            (const gchar *name);

`name` : |
Returns : |

### eog_util_parse_uri_string_list_to_file_list ()

    GSList *            eog_util_parse_uri_string_list_to_file_list
                                                            (const gchar *uri_list);

`uri_list` : |
Returns : |

### eog_util_string_list_to_file_list ()

    GSList *            eog_util_string_list_to_file_list   (GSList *string_list);

`string_list` : |
Returns : |

### eog_util_strings_to_file_list ()

    GSList *            eog_util_strings_to_file_list       (gchar **strings);

`strings` : |
Returns : |

### eog_util_string_array_to_list ()

    GSList *            eog_util_string_array_to_list       (const gchar **files,
                                                             gboolean create_uri);

`files` : |
`create_uri` : |
Returns : |

### eog_util_string_array_make_absolute ()

    gchar **            eog_util_string_array_make_absolute (gchar **files);

`files` : |
Returns : |

### eog_util_launch_desktop_file ()

    gboolean            eog_util_launch_desktop_file        (const gchar *filename,
                                                             guint32 user_time);

`filename` : |
`user_time` : |
Returns : |

### eog_util_dot_dir ()

    const    gchar *    eog_util_dot_dir                    (void);

Returns : |

### eog_util_file_is_persistent ()

    gboolean            eog_util_file_is_persistent         (GFile *file);

Checks whether `file` is a non-removable local mount.

`file` : | a GFile
Returns : | `TRUE` if `file` is in a non-removable mount, `FALSE` otherwise or when it is remote.